position(1).
position(2).
position(3).
fluent at(X) requires position(X).
action cheat.
inertial at(1).
inertial -at(1).
inertial at(2).
inertial -at(2).
inertial at(3).
inertial -at(3).
caused at(X) if at(X) after cheat requires position(X).
caused -at(X) if at(Y) after cheat requires position(X),position(Y),X<>Y.

checkliteral(1,at,1,dummy).